import * as $dara from '@darabonba/typescript';
import { DeleteBackupSnapshotResponseBody } from "./DeleteBackupSnapshotResponseBody";
export declare class DeleteBackupSnapshotResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteBackupSnapshotResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
